summaryrefslogtreecommitdiffstats
path: root/foreman/ci/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'foreman/ci/bootstrap.sh')
-rwxr-xr-xforeman/ci/bootstrap.sh77
1 files changed, 77 insertions, 0 deletions
diff --git a/foreman/ci/bootstrap.sh b/foreman/ci/bootstrap.sh
new file mode 100755
index 0000000..1b36478
--- /dev/null
+++ b/foreman/ci/bootstrap.sh
@@ -0,0 +1,77 @@
+#!/usr/bin/env bash
+
+#bootstrap script for installing/running Khaleesi in Foreman/QuickStack VM
+#author: Tim Rozet (trozet@redhat.com)
+#
+#Uses Vagrant and VirtualBox
+#VagrantFile uses bootsrap.sh which Installs Khaleesi
+#Khaleesi will install and configure Foreman/QuickStack
+#
+#Pre-requisties:
+#Target system should be Centos7
+#Ensure the host's kernel is up to date (yum update)
+
+##VARS
+reset=`tput sgr0`
+blue=`tput setaf 4`
+red=`tput setaf 1`
+green=`tput setaf 2`
+
+##END VARS
+
+
+##install EPEL
+if ! yum repolist | grep "epel/"; then
+ if ! rpm -Uvh http://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-5.noarch.rpm; then
+ printf '%s\n' 'bootstrap.sh: Unable to configure EPEL repo' >&2
+ exit 1
+ fi
+else
+ printf '%s\n' 'bootstrap.sh: Skipping EPEL repo as it is already configured.'
+fi
+
+##install python,gcc,git
+if ! yum -y install python-pip python-virtualenv gcc git; then
+ printf '%s\n' 'bootstrap.sh: Unable to install python,gcc,git packages' >&2
+ exit 1
+fi
+
+##Install sshpass
+if ! yum -y install sshpass; then
+ printf '%s\n' 'bootstrap.sh: Unable to install sshpass' >&2
+ exit 1
+fi
+
+cd /opt
+
+echo "Cloning khaleesi to /opt"
+
+if [ ! -d khaleesi ]; then
+ if ! git clone -b opnfv https://github.com/trozet/khaleesi.git; then
+ printf '%s\n' 'bootstrap.sh: Unable to git clone khaleesi' >&2
+ exit 1
+ fi
+fi
+
+if ! pip install ansible; then
+ printf '%s\n' 'bootstrap.sh: Unable to install ansible' >&2
+ exit 1
+fi
+
+if ! pip install requests; then
+ printf '%s\n' 'bootstrap.sh: Unable to install requests python package' >&2
+ exit 1
+fi
+
+
+cd khaleesi
+
+cp ansible.cfg.example ansible.cfg
+
+echo "Completed Installing Khaleesi"
+
+cd /opt/khaleesi/
+
+ansible localhost -m setup -i local_hosts
+
+./run.sh --no-logs --use /vagrant/opnfv_ksgen_settings.yml playbooks/opnfv.yml